local Talented = Talented

StaticPopupDialogs["CONFIRM_REMOVE_GLYPH"].OnAccept = function(self)
	local TalentedGlyphs = TalentedGlyphs
	if TalentedGlyphs and TalentedGlyphs.group == GetActiveTalentGroup() then
		RemoveGlyphFromSocket(self.data)
	end
end

function Talented:OpenGlyphFrame()
	local f = self:MakeGlyphFrame(UIParent)
	local t = UISpecialFrames
	t[#t + 1] = f:GetName()

	f:Update()
	f:Show()

	self.glyphs = f
	self.MakeGlyphFrame = nil
	self.OpenGlyphFrame = function (self)
		local f = self.glyphs
		f:Update()
		f:Show()
	end
end

function Talented:ToggleGlyphFrame()
	local f = self.glyphs
	if not f then
		self:OpenGlyphFrame()
	elseif f:IsShown() then
		f:Hide()
	else
		f:Show()
	end
end

function Talented:USE_GLYPH()
	self:OpenGlyphFrame()
end

